Перейти к содержимому

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.

Use the API to manage the following features:

  • Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
  • Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
  • Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
  • Reward chains & Value points — configure reward progressions tied to value point accumulation.
  • Daily chains — set up recurring daily rewards to motivate regular logins.
  • Offer chains — build sequential purchase offers with per-step pricing and free reward options.
  • Upsell — a sales method in which the user is offered to buy an item with additional value.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.
  • Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Скачать описание OpenAPI
Языки
Серверы
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ru/api/liveops/

Overview

Promotions are marketing tools designed to attract new users and increase sales. Using Xsolla API, you can configure the following promotions:

  • Discounts — reduced prices on selected items.
  • Bonuses — items granted to users along with their purchase.
  • Coupons — codes that allow users to receive one or more bonus items when redeeming.
  • Promo codes — codes that allow users to receive bonus items, a discount on a specific item, or a discount on the entire cart. Unlike coupons that are redeemed after the user enters them, promo codes are redeemed during a purchase (at checkout).
  • Unique offers — hidden items displayed in the catalog to users who have entered a unique offer code. If the code is not entered, the items are not displayed.

Example flow for configuring a discount promotion:

  1. Create items using the calls from the Admin subsection of the Virtual items and currency, Bundles, or Game keys groups.
  2. Create a promotion using the Create discount promotion for item call. In the items array, pass the necessary item SKUs.
  3. Set up promotion validity periods. To do this, call the Create discount promotion for item or Update item promotion methods, and pass the promotion_periods field as an array of objects where date_from defines the start, and date_until defines the end date of the validity period.
  4. Activate a promotion using the Update item promotion call. Pass the "is_enabled": true parameter.
  5. To get information about item prices, including discounted prices, call the client API methods for getting an item catalog from the Common > Catalog, Virtual Items and Currency > Catalog, and Bundles > Catalog subsections.

Promotion configuration example

Refer to our documentation for detailed information about configuring promotions:

Common API calls

You can call API methods from this subsection to manage different types of promotions.

Операции

Купоны

Call API methods from this subsection to configure and manage coupon promotions.

Note

Refer to our documentation for detailed information about coupons.

Операции

Промокоды

Call API methods from this subsection to configure and manage promo code promotions.

Note

Refer to our documentation for detailed information about promo codes.

Операции

Уникальный каталог предложений

Call API methods from this subsection to configure and manage unique catalog offers.

Note

Refer to our documentation for detailed information about unique offers.

Операции

Скидки

Call API methods from this subsection to configure and manage discount promotions.

Note

Refer to our documentation for detailed information about discounts.

Операции

Бонусы

Call API methods from this subsection to configure and manage bonus promotions.

Note

Refer to our documentation for detailed information about bonuses.

Операции

Персонализированный каталог

Personalization allows you to specify the conditions for displaying the item catalog and applying promotions only for specific authorized users. Conditions are defined based on user attributes and allow you to offer items and promotions that are most relevant to particular users.

The following personalization types are available:

  • Xsolla-side personalization. Personalization rules and logic are configured and stored on the Xsolla side. You pass user attributes, and Xsolla uses them to generate a personalized catalog.
  • Partner-side personalization. You configure personalization rules and logic on your side and send a final catalog payload for a specific user to Xsolla.
Note

You can use only one personalization type. To change it, follow the instructions.

To configure personalization on the Xsolla side using the Xsolla API:

  1. Create items using the API calls from the Admin subsection of the Virtual items and currency, Bundles or Game keys groups.

  2. Set up user attributes using the Xsolla Login API and keep them synchronized by updating data in Xsolla whenever changes occur in your game.

  3. Configure personalization for items or promotions:

  4. Pass the user JWT with user attributes to the catalog retrieval API calls to receive a personalized catalog.

Sequence for configuring and applying Xsolla-side personalization for item catalog:

Personalization for item catalog

Sequence for configuring and applying Xsolla-side personalization for promotions:

Personalization for promotions

Операции
Операции
Операции
Операции

Получение цепочки наград текущего пользователяClient-side

Запрос

Client endpoint. Gets the current user’s reward chains.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call uses a user JWT for authorization.

Include the token in the Authorization header in the following format: Bearer <user_JWT>. For more information about user JWT, see the Security block for this call.
Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
Запрос
limitinteger>= 1

Лимит количества элементов на странице.

Пример: limit=50
offsetinteger>= 0

Номер элемента, с которого выполняется вывод на странице (нумерация ведется с 0).

Пример: offset=0
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/user/reward_chain?limit=50&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Цепочка наград пользователя была успешно восстановлена.

Телоapplication/json
has_moreboolean

Используется как индикатор того, что остались еще страницы.

Пример: true
itemsArray of objects(client-reward-chain-item-model)
items[].​clan_typestring or null(clan_type)

Тип клана.

Перечисление"clan""guild""faction""community""team""squad""alliance""association""coalition""union"
items[].​date_endstring or null(date-time)(date_end)

Дата, когда закончится действие акции с цепочкой наград. Может быть null. Если date_end равна null, то цепочка наград не будет ограничена по времени.

items[].​date_startstring(date-time)(date_start)

Дата, когда начнет действовать ваша цепочка наград.

items[].​descriptionstring or null

Описание цепочки наград.

Пример: "Major weekly quest"
items[].​image_urlstring or null(image_url)

URL-адрес изображения.

items[].​long_descriptionstring or null

Развернутое описание цепочки наград.

Пример: "You can get a lot of additional items just by shopping during the week"
items[].​namestring

Название цепочки наград.

Пример: "Weekly quest"
items[].​orderinteger(order)

Определяет порядок расположения.

items[].​popup_headerobject or null(popup_header-two-letter-locale)

Объект с локализациями для описания всплывающей подсказки в цепочке наград для клана. Двухбуквенный код языка в нижнем регистре.

items[].​popup_header.​arstring or null
Пример: null
items[].​popup_header.​bgstring or null
Пример: null
items[].​popup_header.​cnstring or null
Пример: null
items[].​popup_header.​csstring or null
Пример: null
items[].​popup_header.​destring or null
Пример: "Wie man Belohnungen freischaltet"
items[].​popup_header.​enstring or null
Пример: "How to unlock rewards"
items[].​popup_header.​esstring or null
Пример: "Cómo desbloquear recompensas"
items[].​popup_header.​frstring or null
Пример: "Comment débloquer des récompenses"
items[].​popup_header.​hestring or null
Пример: null
items[].​popup_header.​itstring or null
Пример: "Come sbloccare ricompense"
items[].​popup_header.​jastring or null
Пример: "報酬をアンロックする方法"
items[].​popup_header.​kostring or null
Пример: null
items[].​popup_header.​plstring or null
Пример: null
items[].​popup_header.​ptstring or null
Пример: null
items[].​popup_header.​rostring or null
Пример: null
items[].​popup_header.​rustring or null
Пример: null
items[].​popup_header.​thstring or null
Пример: null
items[].​popup_header.​trstring or null
Пример: null
items[].​popup_header.​twstring or null
Пример: null
items[].​popup_header.​vistring or null
Пример: null
items[].​popup_image_urlstring or null(uri)(popup_image_url)

Изображение для подсказки про цепочку наград для клана во всплывающем окне.

items[].​popup_instructionobject or null(popup_instruction-two-letter-locale)

Объект с локализациями для описания всплывающей подсказки в цепочке наград для клана. Двухбуквенный код языка в нижнем регистре.

items[].​popup_instruction.​arstring or null
Пример: null
items[].​popup_instruction.​bgstring or null
Пример: null
items[].​popup_instruction.​cnstring or null
Пример: null
items[].​popup_instruction.​csstring or null
Пример: null
items[].​popup_instruction.​destring or null
Пример: "Du musst ein Clanmitglied sein, um Clananreize zu erhalten. Du trittst einem Clan bei, wenn ein Clanmitglied dich einlädt, und du die Einladung annimmst. Du kannst auch deinen eigenen Clan erstellen."
items[].​popup_instruction.​enstring or null
Пример: "You must be a clan member to get clan rewards. You join a clan when a clan member invites you to the clan, and you accept the invite. You can also create your own clan."
items[].​popup_instruction.​esstring or null
Пример: "Debes ser miembro de un clan para obtener las recompensas del clan. Te unes a un clan cuando un miembro del clan te invita al clan y aceptas la invitación. También puedes crear tu propio clan."
items[].​popup_instruction.​frstring or null
Пример: "Vous devez être membre d'un clan pour obtenir les récompenses du clan. Vous rejoignez un clan lorsque qu'un membre du clan vous invite au clan et que vous acceptez l'invitation. Vous pouvez également créer votre propre clan."
items[].​popup_instruction.​hestring or null
Пример: null
items[].​popup_instruction.​itstring or null
Пример: "Devi essere un membro del clan per ottenere le ricompense del clan. Ti unisci a un clan quando un membro del clan ti invita al clan e accetti l'invito. Puoi anche creare il tuo clan."
items[].​popup_instruction.​jastring or null
Пример: "クランリワードを受け取るには、クランメンバーでなければなりません。 クランメンバーがあなたをクランに招待し、招待を受け入れると、クランに参加できます。 あなた自身のクランを作成することもできます。"
items[].​popup_instruction.​kostring or null
Пример: null
items[].​popup_instruction.​plstring or null
Пример: null
items[].​popup_instruction.​ptstring or null
Пример: null
items[].​popup_instruction.​rostring or null
Пример: null
items[].​popup_instruction.​rustring or null
Пример: null
items[].​popup_instruction.​thstring or null
Пример: null
items[].​popup_instruction.​trstring or null
Пример: null
items[].​popup_instruction.​twstring or null
Пример: null
items[].​popup_instruction.​vistring or null
Пример: null
items[].​recurrent_scheduleobject or null(recurrent_schedule_client_side)

Период регулярного сброса цепочки наград.

items[].​recurrent_schedule.​interval_typeinterval_type = еженедельно (string) or interval_type = ежемесячно (string) or interval_type = hourly (string)
One of:

Частота регулярного сброса цепочки наград.

string(interval_type = еженедельно)
Значение"weekly"
items[].​recurrent_schedule.​reset_next_dateinteger(reset_next_date)

Расчетные дата и время, когда цепочка наград будет сброшена в следующий раз (Unix Timestamp).

Например, сброс цепочки наград осуществляется ежемесячно, начиная с 1 марта 2024 в 01:00 по часовому поясу Куала-Лумпура (GMT+8). Дата и время следующего сброса цепочки наград: 1 апреля 2024 в 01:00 по часовому поясу Куала-Лумпура (GMT+8), что соответствует 31 марта 2024 17:00 GMT+0 или 1711904400000 в формате Unix Timestamp.

Example: 1711904400000

items[].​reward_chain_idinteger

ID цепочки наград.

Пример: 9
items[].​stepsArray of objects
items[].​steps[].​image_urlstring(Common_admin-image_url)

URL-адрес изображения.

items[].​steps[].​is_claimedboolean

Получена ли награда за уровень.

Пример: false
items[].​steps[].​namestring

Название уровня.

Пример: "Level 1"
items[].​steps[].​priceobject
items[].​steps[].​price.​amountinteger

Количество призовых баллов, которое пользователь получит за прохождение уровня.

Пример: 100
items[].​steps[].​rewardArray of objects
items[].​steps[].​reward[].​descriptionstring

Описание товара.

Пример: "Super box with items"
items[].​steps[].​reward[].​image_urlstring(Common_admin-image_url)

URL-адрес изображения.

items[].​steps[].​reward[].​namestring

Название товара.

Пример: "Super box"
items[].​steps[].​reward[].​quantityinteger

Количество товаров.

Пример: 2
items[].​steps[].​reward[].​skustring(sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

items[].​steps[].​reward[].​typestring

Тип товара.

Пример: "bundle"
items[].​steps[].​step_idinteger

ID уровня.

Пример: 10
items[].​top_contributorsArray of objects or null(top_contributors)
items[].​top_contributors[].​contributed_amountinteger

Количество призовых баллов, которые заработал пользователь.

Пример: 100
items[].​top_contributors[].​namestring

ID пользователя, который отправляется в Xsolla в процессе авторизации, связывает пользователя с вашим проектом Xsolla Login и отображается в качестве никнейма. Если вы используете авторизацию по ID пользователя, мы рекомендуем передать параметр name в ответе на вебхук. Этот параметр содержит имя пользователя, которое будет использоваться как никнейм.

Пример: "Rocket"
items[].​value_pointobject
items[].​value_point.​amountinteger(value-point-amount)

Количество призовых баллов.

items[].​value_point.​descriptionstring or null(value-point-description)

Описание призовых баллов.

items[].​value_point.​image_urlstring(Common_admin-image_url)

URL-адрес изображения.

items[].​value_point.​is_clanboolean(is_clan)

Может ли призовой балл использоваться в цепочках наград для клана.

items[].​value_point.​long_descriptionstring or null(value-point-long-description)

Развернутое описание призовых баллов.

items[].​value_point.​namestring(value-point-name)

Название призовых баллов.

items[].​value_point.​skustring(value-point-sku)

Уникальный ID призовых баллов.

total_items_countinteger

Общее количество цепочек наград в системе.

Пример: 10
Ответ
application/json
{ "has_more": false, "items": [ {}, {} ], "total_items_count": 1 }

Получение призовых баллов текущего пользователяClient-side

Запрос

Client endpoint. Gets the current user’s value point balance.

Note

This API call uses a user JWT for authorization.

Include the token in the Authorization header in the following format: Bearer <user_JWT>. For more information about user JWT, see the Security block for this call.

Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
reward_chain_idintegerобязательный

ID цепочки наград.

Пример: 101
curl -i -X GET \
  https://store.xsolla.com/api/v2/project/44056/user/reward_chain/101/balance \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Баланс призовых баллов пользователя был успешно восстановлен.

Телоapplication/json
amountinteger

Количество призовых баллов.

descriptionstring or null(value-point-description)

Описание призовых баллов.

image_urlstring(Common_admin-image_url)

URL-адрес изображения.

is_clanboolean(is_clan)

Может ли призовой балл использоваться в цепочках наград для клана.

long_descriptionstring or null(value-point-long-description)

Развернутое описание призовых баллов.

namestring(value-point-name)

Название призовых баллов.

skustring(value-point-sku)

Уникальный ID призовых баллов.

Ответ
application/json
{ "amount": 80, "description": "Value points for clan reward system.", "image_url": "https://cdn.xsolla.net/img/misc/images/5c3b8b45c5be5fe7803e59fbc8041be4.png", "is_clan": true, "long_description": "Value points given to clans to get new rewards in a reward chain.", "name": "Clan Reward VP 1", "sku": "com.xsolla.clan_value_point_1" }

Получение награды на уровнеClient-side

Запрос

Client endpoint. Claims the current user’s step reward from a reward chain.

Note

This API call uses a user JWT for authorization.

Include the token in the Authorization header in the following format: Bearer <user_JWT>. For more information about user JWT, see the Security block for this call.

Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Пример: 44056
reward_chain_idintegerобязательный

ID цепочки наград.

Пример: 101
step_idintegerобязательный

ID уровня цепочки наград.

Пример: 120
curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/user/reward_chain/101/step/120/claim \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Успешно получена награда на уровне для текущего пользователя в цепочке наград.

Ответ
Нет содержимого
Операции
Операции
Операции
Операции
Операции
Операции
Операции